XAMPP Control Panel for Linux

Hier geht es um XAMPP AddOns wie z. B. das Apache-Konfigurations-Tool Apanatschi. Irgendwelche Probleme damit oder Fragen dazu? Dann ist hier genau der richtige Ort um nachzufragen.

XAMPP Control Panel for Linux

Postby jonobacon » 24. August 2005 18:35

hi all,

I have written a XAMPP Control Panel for Linux:

http://www.jonobacon.org/albums/random/xampp_control_center_0_5.png

Go and grab it at http://jonobacon.org/projects/xamppcontrolpanel/

I welcome any feedback and patches to jono AT jonobacon DOT org. :)

Enjoy!

Jono
jonobacon
 
Posts: 3
Joined: 24. August 2005 18:23

Postby 1Euro » 24. August 2005 21:56

hi,
sry my Englis isn't good i don't forstand (verstehe in German) how shall i install this Addon? Please give me a answer in German lol.
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby deepsurfer » 24. August 2005 22:40

@jonobacon
looks fine, but dosn´t work on minimal linux systems without GTK-Library :(


@1Euro
Dieses Panel ist für Linux systeme geschrieben. Hat aber weiterhin den nachteil das man als Root angemeldet sein muss um mit diesem Panel arbeiten zu können.

Die Installation für dieses Programm ist in der README vorhanden und bedarf eigentlich keiner nennenswerten Erklärungen.
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby jonobacon » 25. August 2005 02:58

Seems there was a bug in my first release. Go and grab an updated version (0.5.1.) from http://jonobacon.org/projects/xamppcontrolpanel/

This should work. :D

Jono
jonobacon
 
Posts: 3
Joined: 24. August 2005 18:23

Postby deepsurfer » 25. August 2005 06:53

Version 0.5.1
Wonderful ! thats great !
works on different language to (make self translations of bottums etc.) :)
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby 1Euro » 25. August 2005 08:58

oh,
Also I want to start the modul over my Befehlskonsole the error is:
Code: Select all
Traceback (most recent call last):
  File "./xampp-control-panel.py", line 19, in ?
    import gtk
Importerror: No module named gtk

Can anyoune say me from where get i this modul gtk?
I wish me again an answer in German :D
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby jonobacon » 25. August 2005 10:53

!Euro - you need the GTK and PyGTK Libraries installing. If you run GNOME, this will work fine for you. :)
jonobacon
 
Posts: 3
Joined: 24. August 2005 18:23

Postby 1Euro » 25. August 2005 11:15

are the both softwares on one of my 5 CDs?
Pls say me from where i can installe the softwares!
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby nemesis » 27. August 2005 10:47

to jonobacon:
could you please remove the dependency of gconf and/or seperate it out of the core function...?
http://elektra.sourceforge.net/#compared there are an good explanation why gconf aren't so good.

to 1Euro:
from whom should i know what 5 cds do you have? Please be a little bit more precise. http://www.pygtk.org/downloads.html you need pygtk.
And for Gtk, when you use KDE as your Desktop Envoriment and have bluefish or Xchat as program installed you have GTK right now. :)
The Linux Distribution Ubuntu should have all what you need too.
Btw, Befehlskonsole = Shell or better console
understand = verstehen, not forstand ;)
http://babelfish.altavista.com/ for further reference
Ubuntu 8.04 | SMP P3 1.4 GHz | 6 GByte RegECC | 74 GByte Seagate 15k5 system | 3Ware 9550SXU-4LP with 4x 500 GByte Seagate ES2 Raid 10 data | StoreCase DE400 | PX-230A | Intel Pro/1000MT Dual PCI-X
User avatar
nemesis
AF Moderator
 
Posts: 999
Joined: 29. December 2002 13:14
Location: Ingolstadt

Postby 1Euro » 27. August 2005 15:24

ok ich habe mir von der seite die neueste Version untergeladen:
Code: Select all
pygtk-2.6.2.tar.gz

Danach habe ich wie es in der INSTALL steht ./configure eingegeben.
Dabei gibt er mir aus:
Code: Select all
localhost:~/pygtk-2.6.2 # ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... no
checking for style of include used by make... none
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Tja sieht so aus als ob es nicht fungtioniert kann mir vieleicht jemand schritt für schritt erklären was ich falsch gemacht habe und mir sagen wie ich das Ding installieren soll?

1Euro
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby PF4 » 27. August 2005 16:39

Hi,

Code: Select all
configure: error: no acceptable C compiler found in $PATH

dann übersetzen wir das mal und kommen zu dem Schluss das du keinen Compiler installiert hast.
Such einfach mal nach gcc in deinem Paketmanager (yast,apt,emerge)
"2 Dinge sind unendlich die Dummheit der Menschheit und das Universum , aber beim Universum bin ich mir noch nicht sicher“
Albert Einstein
PF4
 
Posts: 528
Joined: 10. March 2003 09:15

Postby yguru » 05. September 2005 02:22

1Euro, was fürn Linux hast Du denn am rennen? SuSe? Debian? Turbo? Und läuft bei Dir 'ne grafische Oberfläche (Gnome, KDE) ?
User avatar
yguru
 
Posts: 32
Joined: 23. March 2005 01:47

Postby 1Euro » 05. September 2005 15:51

hallo,
Suse Linux 9.1 und soweit ich weis Gnome!

1Euro der net weis wo er nach der software gucken soll oder ob sie schon drauf ist!
Dies ist meine Welt!!!
1Euro
 
Posts: 188
Joined: 11. September 2004 17:50

Postby deepsurfer » 05. September 2005 16:08

1Euro wrote:hallo,
Suse Linux 9.1 und soweit ich weis Gnome!

1Euro der net weis wo er nach der software gucken soll oder ob sie schon drauf ist!

Wenn ich jetzt richtig rate, dann hast du eine standart installation von SuSE gemacht, da ist der KDE als Grafische Oberfläche forciert. Gnome muss soweit ich mich erinner beim Installvorgang expliziet angewählt werden.

Schau mal links unten auf das von Windows bekannte "Start" bottom, wenn du diesen anklickst sollte der Name der Oberfläche zu lesen sein. (sofern du alles bisher im standart belassen hast)
chirio Deep
Wie sagte einst der MCP aus Tron auf dem Bildschirm zu schreiben Pflegte
" ... end of communication ... "
User avatar
deepsurfer
AF Moderator
 
Posts: 6440
Joined: 23. November 2004 10:44
Location: Cologne
XAMPP Version: 5.6.3
Operating System: Win-XP / Win7 / Linux -Debian

Postby nemesis » 06. September 2005 06:51

Geht das bitte in einem extra Thread durch.

Danke, nemesis
Ubuntu 8.04 | SMP P3 1.4 GHz | 6 GByte RegECC | 74 GByte Seagate 15k5 system | 3Ware 9550SXU-4LP with 4x 500 GByte Seagate ES2 Raid 10 data | StoreCase DE400 | PX-230A | Intel Pro/1000MT Dual PCI-X
User avatar
nemesis
AF Moderator
 
Posts: 999
Joined: 29. December 2002 13:14
Location: Ingolstadt


Return to XAMPP AddOns

Who is online

Users browsing this forum: No registered users and 1 guest

cron